POST
/affiliate_seller/202405/products/{product_id}/promotion_link/generate
Partner developers acting on behalf of sellers use this API to generate an affiliate-exclusive promotion link for a specific open-collaboration product, identified by product_id, in the TikTok Shop Affiliate Product Marketplace.
The partner developer can distribute the generated link to creators. A creator can use the link to add the product to the creator’s showcase. If a creator adds the product to a showcase through this link, subsequent consumer purchases can be attributed to the partner.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”product_id
required
string
The product identifier.
Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Request Body
Section titled “Request Body”Media typeapplication/json
object
Example
{}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
product_promotion_link
The URL for a web page with information about the product promotion.
string
Example
{ "code": 0, "data": { "product_promotion_link": "https://www.example.com/t/acibsnsgSIngls" }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}